# Installation

## What do I need?

Use a supported framework or make it work with yours via the bridge folder.

[Ox Lib](https://github.com/overextended/ox_lib/releases/) (Required, Works with any server).

## Installation

:warning:ensure ox\_lib before pickle\_taxijob in the config.:warning:

Edit the business in config.lua

Navigate to the "\_INSTALL" folder.

{% tabs %}
{% tab title="ESX" %}
Execute the SQL provided inside the \_\_INSTALL folder.
{% endtab %}

{% tab title="QBCore" %}
Add the provided job into your jobs.lua in your qbcore shared files.

```lua
['taxi'] = {
    label = 'Taxi Company',
    defaultDuty = true,
    offDutyPay = false,
    grades = {
        ['0'] = {
            name = 'Recruit',
            payment = 0
        },
        ['1'] = {
            name = 'Driver',
            payment = 0
        },
        ['2'] = {
            name = 'Lead Driver',
            payment = 0
        },
        ['3'] = {
            name = 'Owner',
            isboss = true, 
            bankAuth = true,
            payment = 0
        },
    },
},
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.picklemods.com/free-resources/pickle-taxi-job/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
